import request from '@/utils/request.js'
//课程资源-基础课程(首页)
export const courseIndex=(data={})=>{
  return request({
    url:'/kczy/kc/main',
    data,
  })
}

// 课程资源-课程(列表)
export const baseCourseList = (data = {}) => {
    return request({
        url:'/kczy/kc/index',
        data,
    })
}
// 课程资源-课程(详情)
export const courseDetail = (data = {}) => {
  return request({
      url:'/kczy/kc/detail',
      data,
  })
}
//课程资源-课程(资源列表)
export const courseSourceList = (data={}) =>{
  return request({
      url:'/kczy/files/index',
      data,
  })
}

//课程资源-课程(资源详情)
export const courseSourceDetail = (data={}) =>{
  return request({
      url:'/kczy/files/detail',
      data,
  })
}

//课程资源-评价列表
export const evaluaList = (data = {}) => {
  return request({
    url: 'kczy/evaluate/index',
    data
  })
}

//课程资源-评价添加
export const evaluaAdd = (data = {}) => {
  return request({
    url: 'kczy/evaluate/add',
    data
  })
}
//课程资源-点赞
export const likeApi_add = (data = {})=>{
  return request({
    url: '/kczy/files_like/add',
    data
  })
}
//课程资源-去除点赞
export const likeApi_del = (data = {})=>{
  return request({
    url: '/kczy/files_like/delete',
    data
  })
}
//课程资源-收藏
export const collectApi_add = (data = {})=>{
  return request({
    url: '/kczy/files_fav/add',
    data
  })
}
//课程资源-去除收藏
export const collectApi_del = (data = {})=>{
  return request({
    url: '/kczy/files_fav/delete',
    data
  })
}
//课程资源-资源列表
export const sourceList = (data = {}) => {
  return request({
    url: '/kczy/files/index',
    data
  })
}
//课程资源-作业
export const homeWork_list = (data = {}) => {
  return request({
    url: '/yzy/zy_kczy/index',
    data
  })
}
// 课程资源-作业详情
export const homeWork_detail = (data = {}) => {
  return request({
    url: '/yzy/zy_kczy/detail',
    data
  })
}
// 课程资源-学生单题答题-添加
export const homeWork_singleStu_add = (data = {}) => {
  return request({
    url: '/yzy/zy_kczy_xsdt/add',
    data
  })
}
//课程资源-学生单题答题-编辑
export const homeWork_singleStu_edit = (data = {}) => {
  return request({
    url: '/yzy/zy_kczy_xsdt/edit',
    data
  })
}

// 课程资源-学生单题答题-详情
export const homeWork_singleStu_detail = (data = {}) => {
  return request({
    url:'/yzy/zy_kczy_xsdt/detail',
    data
  })
}

//用户信息
export const userInfoDetail = (data = {}) => {
  return request({
    url: '/user/main/user_info',
    data
  })
}

//通用年级
export const defaultGrade = (data = {}) => {
  return request({
    url: '/jcxx/grade/index',
    data
  })
}

//通用学科
export const defaultSubject = (data = {}) => {
  return request({
    url: '/jcxx/subject/index',
    data
  })
}

//属性分类-批量详情接口
export const attribDetail = (data = {}) =>
request({
  url: '/kczy/attrib/details',
  data:data
})
